/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.component.common;

/**
 * Keys definitions for JBI descriptors extensions
 *
 * @author chamerling - eBM Websourcing
 *
 */
public class ExtensionsConstants {

    public static final String WSDL_LOCATION = "wsdl";

    public static final String MEP = "pattern";

    public static final String OPERATION = "operation";

    public static final String TIMEOUT = "timeout";

    public static final String INTERCEPTORS = "interceptors";

    /**
     * The endpoint name used as the extension: auto-generated endpoint name
     * extension
     */
    public final static String AUTOGENERATED_ENDPOINT_NAME = "petals:autogenerate";

    /**
     * Creates a new instance of {@link ExtensionsConstants}
     *
     */
    protected ExtensionsConstants() {
    }
}
