/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.component.common.se;

import org.objectweb.petals.component.common.AbstractComponent;
import org.objectweb.petals.component.common.su.ServiceEngineServiceUnitManager;
import org.objectweb.petals.component.common.su.ServiceUnitManager;

/**
 * An abstract class that can be used to easily create a new JBI Service Engine.
 * Do nothing more than AbstractComponent class for the moment...
 *
 * @author ofabre,alouis
 *
 */
public abstract class AbstractServiceEngine extends AbstractComponent {

    /*
     * (non-Javadoc)
     *
     * @see org.objectweb.petals.component.common.AbstractComponent#createServiceUnitManager()
     */
    protected ServiceUnitManager createServiceUnitManager() {
        return new ServiceEngineServiceUnitManager(this);
    }
}
